Bug 239914 - initscripts depends on /usr/bin/find
initscripts depends on /usr/bin/find
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-12 06:15 EDT by Rolf Fokkens
Modified: 2014-03-16 23:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.70-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 13:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2007-05-12 06:15:31 EDT
Description of problem:
/etc/rc.sysinit depends on /usr/bin/find which doesn't work if /usr is not on
the root filesystem

Version-Release number of selected component (if applicable):
latest 6.93 fedora core

How reproducible:
100%

Steps to Reproduce:
1. Make a filesystem layout with /usr on a separate filesystem
2. Boot the system
3. Notice complaints about rc.sysinit line 515 not being able to use find
  
Actual results:
Error messages

Expected results:
Smooth boot sequence

Additional info:
Comment 1 Bill Nottingham 2007-05-14 14:30:07 EDT
Right, that does eventually need fixed. However, if you're mounting the
filesystem read-only, what's the point of splitting out /usr?
Comment 2 Rolf Fokkens 2007-05-15 14:00:39 EDT
For me the problem results from the fact that I have /lib/modules and /usr on
squashfs, just make things fit on a CF card. So far this wasn't a problem for
with FC4 and FC5, but for FC7 it is a problem.

In general there may be a problem with (maybe outdated) filesystem standards.
Comment 3 Bill Nottingham 2007-05-15 15:14:17 EDT
Are you using the readonly_root or temporary state? What for (I'm curious).
Comment 4 Rolf Fokkens 2007-05-15 15:49:54 EDT
I'm using readonly_root indead, to reduce writes on the CF card which is limited
to 100.000 times or so. But to change the config (which resides in /etc) we can
remount it rw and afterwards remount it ro again. Also I did some trickery with
/etc/mtab whcih now resides in /var wich is ramfs.

I'm googling now for "temporary state", I guess I may have missed an
interresting feature somewhere :-)
Comment 5 Rolf Fokkens 2007-05-17 15:03:33 EDT
I think I understand it now, I found /etc/rwtab. It includes an /etc/mtab entry,
which could be a problem:

mount creates a /etc/mtab.tmp file and renames it to /etc/mtab. I had to patch
util-linux to get around that.
Comment 6 Bug Zapper 2008-04-03 20:40:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.